WPMUDEV plugins not working with PHP7

PLEASE make the list A-Z on Plugins dropdown!!! Search is waste of time scrolling up and down - it is NOT plugin User Activities read below!

some WPMUDEV promoted plugins have problems with PHP7 - current stable WP

PHP Parse error: syntax error, unexpected 'new' (T_NEW)

wp-content/plugins/logout-redirect/logout-redirect.php on line 203
wp-content/plugins/scheduled-content/scheduled-content.php on line 483

Solution:
either change the slogan or update the plugins so that they are working

WORDPRESS PLUGINS
Guaranteed to work, always updated, top quality plugins. Beautifully coded, packed with features, and easy to use.

Could you please inform the developers of those plugins Thanks
Please let us know the timeframe as we have those plugins integrated in several sites we are moving to a new server in the next 2 days Thanks. Perhaps more plugins affected if yes I let you know.

Andi

    Sajid

    Hi Andi,
    Hope you are doing good today

    We always ensure all our plugins works best with latest version of WordPress. The current WordPress version recommends PHP 5.6 or higher and also still works on legacy environments running PHP 5.2.4+ as mentioned on official WordPress requirements page. As soon as WP start recommending PHP 7, we will definitely fix compatiblity issues of each and every plugin in our collection as promised.

    On a side note, we are aware of some plugins PHP 7 compatibility issue and our developers are working on it. Thanks for bringing this compatibility issue, I will surely pass it to our development team so it could be get fixed.

    If you see compatibility issues with other plugins of ours, please do let us know and we surely address those. Thanks for bringing it to our attention, I am sending some points your way for appreciation.

    Take care and have a nice day

    Best Regards,
    Sajid